<?php

// Check if multisite, if so then save as site option

if (is_multisite()) {
	$version = get_site_option(self::$prefix . 'version');
} else {
	$version = get_option(self::$prefix . 'version');
}

// Create all the tables upon activation

include_once(NNROBOTS_OPTIN_FIRE_PLUGIN_DIR . "admin/model/db.php");
include_once(NNROBOTS_OPTIN_FIRE_PLUGIN_DIR . "core/model/stats.php");
include_once(NNROBOTS_OPTIN_FIRE_PLUGIN_DIR . "core/model/email-signups.php");

NNRobots_Optin_Fire_DB::createTable();
NNRobots_Email_Signups_OF::createTable();
NNRobots_Stats_OF::createTable();

// Check if multisite, if so then save as site option

if (is_multisite()) {
	update_site_option(self::$prefix . 'version', NNROBOTS_OPTIN_FIRE_VERSION_NUM);
} else {
	update_option(self::$prefix . 'version', NNROBOTS_OPTIN_FIRE_VERSION_NUM);
}