/**
 *
 * Created by Kyle Benk kylebenkapps.com
 *
 */

jQuery(document).ready(function($) {

	/*
	 *
	 * Social Icons Repeater Functions
	 *
	 */

	$("#" + nnr_of_repeater_data.prefix_dash + "social-div-tbody").sortable({
		update: function(event, ui) {
            $('.' + nnr_of_repeater_data.prefix_dash + 'social-data').trigger('change');
        }
	});

	$("." + nnr_of_repeater_data.prefix_dash + "social-add-platform").click(function (e) {

		if ($("#" + nnr_of_repeater_data.prefix_dash + "social-div-tbody tr").length < 20) {

			var social_type = '<select id="' + nnr_of_repeater_data.prefix_dash + 'social-type" class="' + nnr_of_repeater_data.prefix_dash + 'social-data" name="' + nnr_of_repeater_data.prefix_dash + 'social-type[]" data-social-data="type">';

			$.each(nnr_of_repeater_data.social_icons, function(key, value) {
				social_type += '<option value="' + key + '">' + value + '</option>';
			});

			social_type += '</select>';

			var social_url = '<input class="form-control ' + nnr_of_repeater_data.prefix_dash + 'social-data" id="' + nnr_of_repeater_data.prefix_dash + 'social-twitter-url" name="' + nnr_of_repeater_data.prefix_dash + 'social-url[]" type="text" value="" placeholder="http://example.com" data-social-data="url"/>';

			var remove = '<input class="' + nnr_of_repeater_data.prefix_dash + 'social-remove-platform btn btn-danger" type="button" value="' + nnr_of_repeater_data.remove + '"/>';

			var move = '<span class="fa fa-bars"></span>';

			var new_platform = '<tr class="text-center"><td>' +
				move + '</td><td>' +
				social_type + '</td><td>' +
				social_url + '</td><td>' +
				remove +
				'</td></tr>';

			$("#" + nnr_of_repeater_data.prefix_dash + "social-div-tbody").append(new_platform);
		}

		return false;
	});

	$("body").on("click","." + nnr_of_repeater_data.prefix_dash + "social-remove-platform", function(e){

		if ( $("#" + nnr_of_repeater_data.prefix_dash + "social-div-tbody tr").length >= 0 ) {
        	$(this).parent('td').parent('tr').remove();
        	$('.' + nnr_of_repeater_data.prefix_dash + 'social-data').trigger('change');
        }

		return false;
	});

	/*
	 *
	 * List Items Repeater Functions
	 *
	 */

	$("#" + nnr_of_repeater_data.prefix_dash + "list-div-tbody").sortable({
		update: function(event, ui) {
            $('.' + nnr_of_repeater_data.prefix_dash + 'list-data').trigger('change');
        }
	});

	$("." + nnr_of_repeater_data.prefix_dash + "list-add-platform").click(function (e) {

		if($("#" + nnr_of_repeater_data.prefix_dash + "list-div-tbody tr").length < 20) {

			var list_icon = '<button class="btn btn-default ' + nnr_of_repeater_data.prefix_dash + 'list-data" name="' + nnr_of_repeater_data.prefix_dash + 'list-icon[]" data-iconset="fontawesome" data-icon="fa-check" role="iconpicker" data-list-data="icon"></button>';

			var list_text = '<input class="form-control ' + nnr_of_repeater_data.prefix_dash + 'list-data" name="' + nnr_of_repeater_data.prefix_dash + 'list-text[]" type="text" value="" placeholder="List item text" data-list-data="text"/>';

			var remove = '<input class="' + nnr_of_repeater_data.prefix_dash + 'list-remove-platform btn btn-danger" type="button" value="' + nnr_of_repeater_data.remove + '"/>';

			var move = '<span class="fa fa-bars"></span>';

			var new_platform = '<tr class="text-center"><td>' +
				move + '</td><td>' +
				list_icon + '</td><td>' +
				list_text + '</td><td>' +
				remove +
				'</td></tr>';

			$("#" + nnr_of_repeater_data.prefix_dash + "list-div-tbody").append(new_platform);
		}

		$('button[role="iconpicker"]').iconpicker().iconpicker('setCols', 10).iconpicker('setRows', 5);

		return false;
	});

	$("body").on("click","." + nnr_of_repeater_data.prefix_dash + "list-remove-platform", function(e){

		if ($("#" + nnr_of_repeater_data.prefix_dash + "list-div-tbody tr").length >= 0 ) {
        	$(this).parent('td').parent('tr').remove();
        	$('.' + nnr_of_repeater_data.prefix_dash + 'list-data').trigger('change');
        }

		return false;
	});
});