<?php

$optin_fire_content .= '<div class="col-xs-6">';

	if (isset($title) && $title != '') {

		$optin_fire_content .= '<div class="col-md-12 text-center">';
			$optin_fire_content .= '<h2 class="' . NNRobots_Optin_Fire::$prefix_dash . 'title">' . NNRobots_Optin_Fire_Functions::output_html_shortcode($title) . '</h2>';
		$optin_fire_content .= '</div>';

	}

	do_action('nnr_of_after_header');
	do_action('nnr_of_after_header_' . $val['id']);

	if (isset($text) && $text != '') {

		$optin_fire_content .= '<div class="col-md-12 text-center">';
			$optin_fire_content .= '<p class="' . NNRobots_Optin_Fire::$prefix_dash . 'text">' . NNRobots_Optin_Fire_Functions::output_html_shortcode($text) . '</p>';
		$optin_fire_content .= '</div>';

	}

	$optin_fire_content .= '<div class="col-xs-12">';

		$optin_fire_content .= '<ul class="' . NNRobots_Optin_Fire::$prefix_dash . 'list">';

		foreach($template['args']['list']['items'] as $item) {
			$optin_fire_content .= '<li class="' . NNRobots_Optin_Fire::$prefix_dash . 'list-item">';
				$optin_fire_content .= '<i class="fa ' . $item['icon'] . '" style="color: ' . $template['args']['list']['color'] . '"></i>';
				$optin_fire_content .= '<span>' . $item['text'] . '</span>';
			$optin_fire_content .= '</li>';
		}

		$optin_fire_content .= '</ul>';

	$optin_fire_content .= '</div>';

	// Clickable Image

	if ($template['args']['call_to_action'] == 'clickable-image') {

		$image_attributes = wp_get_attachment_image_src($template['args']['clickable_image'], 'full'); // returns an array

		if ( $image_attributes ) {
			$image_src = $image_attributes[0];

			$optin_fire_content .= '<div class="col-xs-12 ' . NNRobots_Optin_Fire::$prefix_dash . 'image">';
				$optin_fire_content .= '<a class="' . NNRobots_Optin_Fire::$prefix_dash . 'link-button" href="' . esc_url($template['args']['link_url']) . '" target="' . $template['args']['link_target'] . '" ' . ($template['args']['link_rel'] ? 'rel="nofollow"' : '') . '>';

					$optin_fire_content .= '<img src="' . $image_src . '"/>';
				$optin_fire_content .= '</a>';
			$optin_fire_content .= '</div>';

		}

	}

	// Newsletter

	else if ($template['args']['call_to_action'] == 'newsletter') {

		$optin_fire_content .= '<div class="col-md-12 ' . NNRobots_Optin_Fire::$prefix_dash . 'form-container">';

			if ($news_letter_type == 'feedburner') {

				$optin_fire_content .= '<form class="' . NNRobots_Optin_Fire::$prefix_dash . 'form" role="form" action="http://feedburner.google.com/fb/a/mailverify" method="post" target="optinfirewindow" onsubmit="window.open(\'http://feedburner.google.com/fb/a/mailverify?uri=' . esc_attr( $feedburner_id ) . '\', \'optinfirewindow\', \'scrollbars=yes,width=550,height=520\');return true">';

					$optin_fire_content .= '<div class="form-group col-md-8">';
						$optin_fire_content .= '<input type="mailinput" class="form-control" name="email" placeholder="' . (isset($news_letter['email_placeholder']) ? $news_letter['email_placeholder'] : __('Email', NNRobots_Optin_Fire::$text_domain)) . '"/>';
					$optin_fire_content .= '</div>';

					// Subcribe button

					$optin_fire_content .= '<div class="form-group col-md-4 text-center">';

						$optin_fire_content .= '<button type="submit" class="' . NNRobots_Optin_Fire::$prefix_dash . 'submit form-control btn btn-' . $style['button_shape'] . '" name="submit">';

							if (isset($template['args']['subscribe_icon_place']) && $template['args']['subscribe_icon_place'] == 'before' && $template['args']['subscribe_icon'] != 'fa-') {
								$optin_fire_content .= '<i class="fa ' . $template['args']['subscribe_icon'] . '"></i>';
							}

							$optin_fire_content .= $news_letter['button_text'];

							if (isset($template['args']['subscribe_icon_place']) && $template['args']['subscribe_icon_place'] == 'after' && $template['args']['subscribe_icon'] != 'fa-') {
								$optin_fire_content .= '<i class="fa ' . $template['args']['subscribe_icon'] . '"></i>';
							}

						$optin_fire_content .= '</button>';

					$optin_fire_content .= '</div>';

					$optin_fire_content .= '</form>';
					$optin_fire_content .= '<script type="text/javascript">
					jQuery(document).ready(function($){
						$(".' . NNRobots_Optin_Fire::$prefix_dash . '-form").submit(function(e){
							e.preventDefault();
							window.open(\'http://feedburner.google.com/fb/a/mailverify?uri=' . esc_attr( $feedburner_id ) . '\', \'optinfirewindow\', \'scrollbars=yes,width=550,height=520\');
							return true;
						});
					});';
				$optin_fire_content .= '</script>';
			} else {
				$optin_fire_content .= '<form class="' . NNRobots_Optin_Fire::$prefix_dash . 'newsletter" method="post" role="form" novalidate="true">';

					// First Name

					if (isset($news_letter['first_name']) && $news_letter['first_name']) {
						$optin_fire_content .= '<div class="form-group col-xs-12">';
							$optin_fire_content .= '<input name="' . NNRobots_Optin_Fire::$prefix_dash . 'first-name" type="text" class="' . NNRobots_Optin_Fire::$prefix_dash . 'first-name form-control form-control-' . $style['button_shape'] . '" placeholder="' . (isset($news_letter['first_name_placeholder']) ? $news_letter['first_name_placeholder'] : __('First Name', NNRobots_Optin_Fire::$text_domain)) . '"/>';
						$optin_fire_content .= '</div>';

					}

					// Last Name

					if (isset($news_letter['last_name']) && $news_letter['last_name']) {

						$optin_fire_content .= '<div class="form-group col-xs-12">';
							$optin_fire_content .= '<input name="' . NNRobots_Optin_Fire::$prefix_dash . 'last-name" type="text" class="' . NNRobots_Optin_Fire::$prefix_dash . 'last-name form-control form-control-' . $style['button_shape'] . '"  placeholder="' . (isset($news_letter['last_name_placeholder']) ? $news_letter['last_name_placeholder'] : __('Last Name', NNRobots_Optin_Fire::$text_domain)) . '"/>';
						$optin_fire_content .= '</div>';

					}

					// Email

					$optin_fire_content .= '<div class="form-group col-xs-12">';
						$optin_fire_content .= '<input name="' . NNRobots_Optin_Fire::$prefix_dash . 'email" type="email" class="' . NNRobots_Optin_Fire::$prefix_dash . 'email form-control form-control-' .  $style['button_shape'] . '" placeholder="' . (isset($news_letter['email_placeholder']) ? $news_letter['email_placeholder'] : __('Email', NNRobots_Optin_Fire::$text_domain)) . '"/>';
					$optin_fire_content .= '</div>';

					// Newsletter Type

					$optin_fire_content .= '<p class="' . NNRobots_Optin_Fire::$prefix_dash . 'newsletter-type hidden" data-newsletter="' . $news_letter_type . '" type="text"></p>';

					// Subcribe button

					$optin_fire_content .= '<div class="form-group col-md-12 text-center">';

						$optin_fire_content .= '<button type="submit" class="' . NNRobots_Optin_Fire::$prefix_dash . 'submit form-control btn btn-' . $style['button_shape'] . '" name="submit">';

							if (isset($template['args']['subscribe_icon_place']) && $template['args']['subscribe_icon_place'] == 'before' && $template['args']['subscribe_icon'] != 'fa-') {
								$optin_fire_content .= '<i class="fa ' . $template['args']['subscribe_icon'] . '" style="padding-right: 5px;"></i>';
							}

							$optin_fire_content .= $news_letter['button_text'];

							if (isset($template['args']['subscribe_icon_place']) && $template['args']['subscribe_icon_place'] == 'after' && $template['args']['subscribe_icon'] != 'fa-') {
								$optin_fire_content .= '<i class="fa ' . $template['args']['subscribe_icon'] . '" style="padding-left: 5px;"></i>';
							}

						$optin_fire_content .= '</button>';

					$optin_fire_content .= '</div>';

					$optin_fire_content .= '<div class="col-xs-12 text-center">';
						$optin_fire_content .= '<label class="hidden ' . NNRobots_Optin_Fire::$prefix_dash . 'message"></label>';
					$optin_fire_content .= '</div>';
				$optin_fire_content .= '</form>';
			}

		$optin_fire_content .= '</div>';
	}

	// Contact Form

	else if ($template['args']['call_to_action'] == 'contact-us') {

		$optin_fire_content .= '<div class="col-md-12 ' . NNRobots_Optin_Fire::$prefix_dash . 'form-container">';

			$optin_fire_content .= '<form class="' . NNRobots_Optin_Fire::$prefix_dash . 'contact-us ' . NNRobots_Optin_Fire::$prefix_dash . 'form" method="post" novalidate="true">';

				$optin_fire_content .= '<div class="form-group col-md-6">';
					$optin_fire_content .= '<input class="' . NNRobots_Optin_Fire::$prefix_dash . 'email  form-control form-control-' . $style['button_shape'] . '" name="' . NNRobots_Optin_Fire::$prefix_dash . 'email" type="text" placeholder="' . $template['args']['contact_us']['email_placeholder'] . '"/>';
				$optin_fire_content .= '</div>';


				$optin_fire_content .= '<div class="form-group col-md-6">';
					$optin_fire_content .= '<input class="' . NNRobots_Optin_Fire::$prefix_dash . 'subject  form-control form-control-' . $style['button_shape'] . '" name="' . NNRobots_Optin_Fire::$prefix_dash . 'subject" type="text" placeholder="' . $template['args']['contact_us']['subject_placeholder'] . '"/>';
				$optin_fire_content .= '</div>';

				$optin_fire_content .= '<div class="form-group col-md-12">';
					$optin_fire_content .= '<textarea class="' . NNRobots_Optin_Fire::$prefix_dash . 'message-text  form-control form-control-' . $style['button_shape'] . '" name="' . NNRobots_Optin_Fire::$prefix_dash . 'message" placeholder="' . $template['args']['contact_us']['message_placeholder'] . '"></textarea>';
				$optin_fire_content .= '</div>';

				$optin_fire_content .= '<div class="form-group col-md-12">';
					$optin_fire_content .= '<button type="submit" class="form-control ' . NNRobots_Optin_Fire::$prefix_dash . 'contact-us-button ' . NNRobots_Optin_Fire::$prefix_dash . 'submit" name="' . NNRobots_Optin_Fire::$prefix_dash . 'submit">';

						if (isset($template['args']['contact_icon_place']) && $template['args']['contact_icon_place'] == 'before' && $template['args']['subscribe_icon'] != 'fa-') { $optin_fire_content .= '<i class="fa ' . $template['args']['contact_icon'] . '" style="padding-right: 5px;"></i>'; }

						$optin_fire_content .= $template['args']['contact_us']['button_text'];

						if (isset($template['args']['contact_icon_place']) && $template['args']['contact_icon_place'] == 'after' && $template['args']['subscribe_icon'] != 'fa-') { $optin_fire_content .= '<i class="fa ' . $template['args']['contact_icon'] . '" style="padding-left: 5px;"></i>'; }

					$optin_fire_content .= '</button>';
				$optin_fire_content .= '</div>';

				$optin_fire_content .= '<input class="' . NNRobots_Optin_Fire::$prefix_dash . 'send hidden" name="' . NNRobots_Optin_Fire::$prefix_dash . 'send" type="text" value="' . $template['args']['contact_us']['email'] . '"/>';

				$optin_fire_content .= '<label for="' . NNRobots_Optin_Fire::$prefix_dash . 'message" class="' . NNRobots_Optin_Fire::$prefix_dash . 'message"></label>';
			$optin_fire_content .= '</form>';

		$optin_fire_content .= '</div>';

	}

	// Button Link

	else if ($template['args']['call_to_action'] == 'button') {

		$optin_fire_content .= '<div class="col-md-12 text-center">';

			if (isset($template['args']['link_type']) && $template['args']['link_type'] == 'text') {
				$optin_fire_content .= '<a style="color: ' . $template['args']['link_text_color'] . '" class="' . NNRobots_Optin_Fire::$prefix_dash . 'link-button" href="' . esc_url($template['args']['link_url']) . '" target="' . $template['args']['link_target'] . '" ' . ($template['args']['link_rel'] ? 'rel="nofollow"' : '') . '>';
					$optin_fire_content .= $template['args']['link_name'];
				$optin_fire_content .= '</a>';
			} else {
				$optin_fire_content .= '<a role="button" style="background-color: ' . $template['args']['link_button_color'] . '; color: ' . $template['args']['link_text_color'] . '" class="btn btn-' . $style['button_shape'] . ' ' . NNRobots_Optin_Fire::$prefix_dash . 'link-button" href="' . esc_url($template['args']['link_url']) . '" target="' . $template['args']['link_target'] . '" ' . ($template['args']['link_rel'] ? 'rel="nofollow"' : '') . '>';
					$optin_fire_content .= $template['args']['link_name'];
				$optin_fire_content .= '</a>';
			}

		$optin_fire_content .= '</div>';

	}

	// Social Icons

	else if ($template['args']['call_to_action'] == 'social') {

		$optin_fire_content .= '<div class="' . NNRobots_Optin_Fire::$prefix_dash . 'social-icons">';

			foreach ($template['args']['social']['icons'] as $icon) {
				$optin_fire_content .= '<a class="' . NNRobots_Optin_Fire::$prefix_dash . 'icon fa ' . $icon['type'] . '" href="' . esc_url($icon['url']) . '" target="_blank"></a>';
			}

		$optin_fire_content .= '</div>';

	}

	// Yes / No

	else if ($template['args']['call_to_action'] == 'yes-no') {

		$optin_fire_content .= '<div class="col-xs-12 col-sm-6">';
			$optin_fire_content .= '<a class="' . NNRobots_Optin_Fire::$prefix_dash . 'yes col-xs-12 btn btn-' . $style['button_shape'] . ' ' . NNRobots_Optin_Fire::$prefix_dash . 'link-button" role="button" href="' . esc_url($template['args']['yes_link_url']) . '" target="' . $template['args']['yes_link_target'] . '" ' . ($template['args']['yes_link_rel'] ? 'rel="nofollow"' : '') . '>';
				$optin_fire_content .= '<span class="' . NNRobots_Optin_Fire::$prefix_dash . 'yes-text">' . ($template['args']['yes_text'] != '' ? __($template['args']['yes_text'], NNRobots_Optin_Fire::$text_domain) : __('YES', NNRobots_Optin_Fire::$text_domain)) . '</span><span class="' . NNRobots_Optin_Fire::$prefix_dash . 'yes-sub-text">' .($template['args']['yes_sub_text'] != '' ? __($template['args']['yes_sub_text'], NNRobots_Optin_Fire::$text_domain) : '') . '</span>';
			$optin_fire_content .= '</a>';
		$optin_fire_content .= '</div>';

		$optin_fire_content .= '<div class="col-xs-12 col-sm-6">';
			$optin_fire_content .= '<a class="' . NNRobots_Optin_Fire::$prefix_dash . 'no col-xs-12 btn btn-' . $style['button_shape'] . ' ' . NNRobots_Optin_Fire::$prefix_dash . 'link-button" role="button" href="' . esc_url($template['args']['no_link_url']) . '" target="' . $template['args']['no_link_target'] . '" ' . ($template['args']['no_link_rel'] ? 'rel="nofollow"' : '') . '>';
				$optin_fire_content .= '<span class="' . NNRobots_Optin_Fire::$prefix_dash . 'no-text">' . ($template['args']['no_text'] != '' ? __($template['args']['no_text'], NNRobots_Optin_Fire::$text_domain) : __('YES', NNRobots_Optin_Fire::$text_domain)) . '</span><span class="' . NNRobots_Optin_Fire::$prefix_dash . 'no-sub-text">' . ($template['args']['no_sub_text'] != '' ? __($template['args']['no_sub_text'], NNRobots_Optin_Fire::$text_domain) : '') . '</span>';
			$optin_fire_content .= '</a>';
		$optin_fire_content .= '</div>';

	}

	// Video

	else if ($template['args']['call_to_action'] == 'video') {

		if ( $template['args']['video_url'] != '' ) {
			$optin_fire_content .= '<div class="' . NNRobots_Optin_Fire::$prefix_dash .'video-container">' .
				wp_oembed_get($template['args']['video_url']) .
			'</div>';
		}

	}

	// Custom HTML

	else if ($template['args']['call_to_action'] == 'html') {
		$optin_fire_content .= NNRobots_Optin_Fire_Functions::output_html_shortcode($template['args']['custom_html']);
	}

$optin_fire_content .= '</div>';

$image_attributes = wp_get_attachment_image_src($image, 'full'); // returns an array

if( $image_attributes ) {
	$image_src = $image_attributes[0];
	$optin_fire_content .= '<div class="col-xs-6">';

		$optin_fire_content .= '<div class="col-md-12 ' . NNRobots_Optin_Fire::$prefix_dash . 'image">';
			$optin_fire_content .= '<img src="' . $image_src . '"/>';
		$optin_fire_content .= '</div>';

	$optin_fire_content .= '</div>';
}
