jQuery(document).ready(function($) {

	$('.' + nnr_of_import_export_data.prefix_dash + 'import-export').click(function(){

		// Clear all data

		$('#' + nnr_of_import_export_data.prefix_dash + 'import-export-modal .modal-body').html('');
		$('button[name="submit"]').hide();

		// Parse data

		if ( $('.' + nnr_of_import_export_data.prefix_dash + 'import-data').val() != '' ) {


			try {
				var import_data = $.parseJSON($('.' + nnr_of_import_export_data.prefix_dash + 'import-data').val());

				$('button[name="submit"]').show();

				// Format data to show user what will be added

				$('#' + nnr_of_import_export_data.prefix_dash + 'import-export-modal .modal-body').append('<p>Import Optins from <span style="text-transform:capitalize;">' + import_data['from-plugin'].replace('-', ' ') + '</span> to Optin Fire.</p>');
				$('#' + nnr_of_import_export_data.prefix_dash + 'import-export-modal .modal-body').append('<p>Number of Optins detected: ' + import_data.data.length + '</p>');

				$('#' + nnr_of_import_export_data.prefix_dash + 'import-export-modal .modal-body').append('<ol></ol>');

				$.each(import_data.data, function(index, value){
					$('#' + nnr_of_import_export_data.prefix_dash + 'import-export-modal .modal-body ol').append('<li>' + value.name + '</li>');
				});
			}
			catch (err) {
				$('#' + nnr_of_import_export_data.prefix_dash + 'import-export-modal .modal-body').append('<p>Unable to parse the data, please make sure you copied it correclty.</p>');
				$('button[name="submit"]').hide();
			}


		} else {
			$('#' + nnr_of_import_export_data.prefix_dash + 'import-export-modal .modal-body').append('<p>No data found. Make sure you import some data :)</p>');
			$('button[name="submit"]').hide();
		}

	});

	$('.' + nnr_of_import_export_data.prefix_dash + 'export-data').focus(function() {
	    var $this = $(this);
	    $this.select();

	    // Work around Chrome's little problem
	    $this.mouseup(function() {
	        // Prevent further mouseup intervention
	        $this.unbind("mouseup");
	        return false;
	    });
	});

});